function x=G0(theta,data,simfunc,other,momfunc)
% This function determines the derivative Matrix G



epsilon = 0.1; % step size
[mysize1, mysize2]=size(theta);
if mysize2>mysize1
    theta=theta';
end
[sizetheta,~]=size(theta);


x=zeros(5,sizetheta);
for ii=1:sizetheta
unitvec=zeros(sizetheta,1); unitvec(ii,1)=1; % ii-th unit vector
ghatplus = ghatev((theta+unitvec*epsilon),simfunc,other,momfunc,data);
ghatminus = ghatev((theta-unitvec*epsilon),simfunc,other,momfunc,data);
x(:,ii)=(ghatplus-ghatminus)/(2*epsilon);
end