function [u raw_u] = simfunc_skewt(theta,other)

%Function to generate data from the skew-t distribution

T = other(1);
N = other(2);
seed = other(3);


Z = skewtdis_rnd2(4,-0.5,T,seed)  ; %4,-0.5

eps = zeros(T,N);
for i = 1:N
    eps(:,i) = skewtdis_rnd2(4,0,T,i*3*seed) ; %4,0
end

raw_u = theta'*Z*ones(1,N) + eps ;

u = tiedrank(raw_u)/(T+1);

